Game Develop Core: gd::AutomatismMetadata Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
gd::AutomatismMetadata Class Reference
Events ( Classes defining the event system and some tools associated with events )

Contains user-friendly information about an automatism type. More...

`#include <AutomatismMetadata.h>`

## Public Member Functions

| AutomatismMetadata (const std::string &extensionNamespace, const std::string &name_, const std::string &fullname_, const std::string &defaultName_, const std::string &description_, const std::string &group_, const std::string &icon24x24_, const std::string &className_, boost::shared_ptr< gd::Automatism > instance, boost::shared_ptr< gd::AutomatismsSharedData > sharedDatasInstance)
gd::InstructionMetadata & | AddCondition (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &sentence_, const std::string &group_, const std::string &icon_, const std::string &smallicon_)
gd::InstructionMetadata & | AddAction (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &sentence_, const std::string &group_, const std::string &icon_, const std::string &smallicon_)
gd::ExpressionMetadata & | AddExpression (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &group_, const std::string &smallicon_)
gd::StrExpressionMetadata & | AddStrExpression (const std::string &name_, const std::string &fullname_, const std::string &description_, const std::string &group_, const std::string &smallicon_)
AutomatismMetadata & | SetFullName (const std::string &fullname_)
AutomatismMetadata & | SetDefaultName (const std::string &defaultName_)
AutomatismMetadata & | SetDescription (const std::string &description_)
AutomatismMetadata & | SetGroup (const std::string &group_)
AutomatismMetadata & | SetBitmapIcon (const wxBitmap &bitmap_)
AutomatismMetadata & | SetIncludeFile (const std::string &includeFile)
| Erase any existing include file and add the specified include. More...
AutomatismMetadata & | AddIncludeFile (const std::string &includeFile)
| Add a file to the already existing include files.
const std::string & | GetFullName () const
const std::string & | GetDefaultName () const
const std::string & | GetDescription () const
const std::string & | GetGroup () const
const wxBitmap & | GetBitmapIcon () const
boost::shared_ptr< gd::Automatism > | GetInstance () const
boost::shared_ptr < gd::AutomatismsSharedData > | GetSharedDataInstance () const

## Public Attributes

std::map< std::string, gd::InstructionMetadata > | conditionsInfos
std::map< std::string, gd::InstructionMetadata > | actionsInfos
std::map< std::string, gd::ExpressionMetadata > | expressionsInfos
std::map< std::string, gd::StrExpressionMetadata > | strExpressionsInfos
std::vector< std::string > | includeFiles
std::string | className

## Detailed Description

Contains user-friendly information about an automatism type.

Implementations may derive from this class so as to provide more complete metadata if needed. ( For example, Game Develop C++ Platform is shared pointers to objects that will be cloned so as to create the automatisms... )

## Member Function Documentation

gd::InstructionMetadata & gd::AutomatismMetadata::AddAction | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | sentence_,
|  | const std::string & | group_,
|  | const std::string & | icon_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new action as being part of the extension.

gd::InstructionMetadata & gd::AutomatismMetadata::AddCondition | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | sentence_,
|  | const std::string & | group_,
|  | const std::string & | icon_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new condition as being part of the extension.

gd::ExpressionMetadata & gd::AutomatismMetadata::AddExpression | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | group_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new action as being part of the extension.

gd::StrExpressionMetadata & gd::AutomatismMetadata::AddStrExpression | ( | const std::string & | name_,
|  | const std::string & | fullname_,
|  | const std::string & | description_,
|  | const std::string & | group_,
|  | const std::string & | smallicon_
| ) |  |

Declare a new string expression as being part of the extension.

AutomatismMetadata & gd::AutomatismMetadata::SetIncludeFile | ( | const std::string & | includeFile) |  |

Erase any existing include file and add the specified include.

Note
  The requirement may vary depending on the platform: Most of the time, the include file contains the declaration of the automatism.

The documentation for this class was generated from the following files:

- AutomatismMetadata.h
- AutomatismMetadata.cpp